%bcond_without exiv2

Name:           photoqt
Version:        2.0
Release:        %mkrel 1
Summary:        A fast Qt image viewer
License:        GPLv3
Group:          Graphics/Viewers
Url:            http://photoqt.org/
Source0:        http://photoqt.org/pkgs/%{name}-%{version}.tar.gz
BuildRequires:  kf5-macros
BuildRequires:  qtmultimedia5
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(poppler-qt5)
%if %{with exiv2}
BuildRequires:  pkgconfig(exiv2)
%endif
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(pugixml)
Requires:       qtbase5-database-plugin-sqlite
Requires:       graphicsmagick
Requires:       qtquickcontrols5
Requires:       qtgraphicaleffects5
Obsoletes:      photo

%description
PhotoQt is a simple, yet powerful and good looking image viewer,
written in Qt, published as open-source, and completely free.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DFREEIMAGE=OFF -DEXIV2=%{?with_exiv2:ON}%{?!with_exiv2:OFF}
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 2.0-1.mga8
+ Revision: 1659409
- new version: 2.0
+ umeabot <umeabot>
- Rebuild for new Qt5

* Wed Sep 09 2020 zezinho <zezinho> 1.7.1-6.mga8
+ Revision: 1623893
- rebuild against libraw20

* Sat Feb 15 2020 umeabot <umeabot> 1.7.1-5.mga8
+ Revision: 1524854
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.7.1-4.mga7
+ Revision: 1383906
- Qt5 Rebuild

* Wed Jan 02 2019 daviddavid <daviddavid> 1.7.1-3.mga7
+ Revision: 1348545
- disable exiv2 support until an upstream fix
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Thu Sep 06 2018 daviddavid <daviddavid> 1.7.1-2.mga7
+ Revision: 1257516
- rebuild for new libraw 0.19.0

* Wed Jun 20 2018 daviddavid <daviddavid> 1.7.1-1.mga7
+ Revision: 1238265
- new version: 1.7.1
- rename and rediff fix-build-against-qt-5.11.0 patch

* Sun Jun 03 2018 daviddavid <daviddavid> 1.7-1.mga7
+ Revision: 1233895
- new version: 1.7
- add patch to fix build with new Qt5 >= 5.11.0

* Tue Jun 20 2017 neoclust <neoclust> 1.5.1-2.mga6
+ Revision: 1108012
- Rebuild against new exiv2

* Mon Jan 23 2017 shlomif <shlomif> 1.5.1-1.mga6
+ Revision: 1083138
- New upstream version 1.5.1.

* Wed Dec 28 2016 neoclust <neoclust> 1.4-3.mga6
+ Revision: 1078427
- Rebuild for new libraw

* Fri May 20 2016 dglent <dglent> 1.4-2.mga6
+ Revision: 1017081
+ rebuild (emptylog)

* Thu May 19 2016 dglent <dglent> 1.4-1.mga6
+ Revision: 1016967
- Version 1.4

* Mon Jan 04 2016 shlomif <shlomif> 1.3-1.mga6
+ Revision: 919519
- New version 1.3

* Tue Dec 29 2015 tv <tv> 1.2.1-3.mga6
+ Revision: 916737
- rebuild for new libGraphicsMagick

* Fri Aug 28 2015 cjw <cjw> 1.2.1-2.mga6
+ Revision: 870400
- rebuild with gcc 5

* Mon Jun 22 2015 dglent <dglent> 1.2.1-1.mga6
+ Revision: 839057
- Version 1.2.1
- Qt5

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 741627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 687087
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 1.0-2.mga5
+ Revision: 589054
- rebuild for new exiv2

* Sat Nov 16 2013 dglent <dglent> 1.0-1.mga4
+ Revision: 551499
- imported package photoqt

